"use strict";

const clickedClass = "c-profile-block__heading--highlight";

function init(domElement) {
  this.element = domElement;
  this.heading = this.element.getElementsByClassName("c-profile-block__heading").item(0);

  if (this.heading) {
    this.heading.addEventListener("click", () => {
      toggleClicked.call(this);
    });
  }

  // Check to see if babel-polyfill is working
  // let foo = new Map();
  // foo.set("item1", "baz1");
  // foo.set("item2", "baz2");
  // for (var bar of foo.values()) {
  //   console.log(bar);
  // }
}

function toggleClicked() {
  if (this.heading.classList.contains(clickedClass)) {
    this.heading.classList.remove(clickedClass);
  } else {
    this.heading.classList.add(clickedClass);
  }
}

module.exports = {
  init
};
